commit 08676d23f964ac9aa1f9317ad30f0b7d78eb5a5a (HEAD, tag: v1.49.0, origin/master, origin/HEAD, master)
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-08-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-08-22

    Update manual pages

commit 28fa90811c7feb4735f4ff76d87f5d2bcb608e6a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-08-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-08-22

    Bump package and library versions

commit 56f39b30ceb5e48336ffac9ad190328cbde879b5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-08-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-08-22

    Update AUTHORS

commit df000cd01b321dc0809f5140a6aebdbb27eccdeb
Merge: 68ea0855 47b990f5
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-08-22
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-08-22

    Merge pull request #1784 from nghttp2/fix-covscan-errors
    
    Fix errors reported by coverity scan

commit 47b990f50826a0eb5f5ee47eb57640381c8b4246
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-08-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-08-22

    Fix errors reported by coverity scan

commit 68ea085535e31716d79a0b81c979396b65c52168
Merge: c3fa7715 eb397721
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-08-22
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-08-22

    Merge pull request #1783 from nghttp2/bump-libbpf
    
    Bump libbpf

commit eb397721be85872279be45be4b5b025ff8a680e5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-08-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-08-22

    Bump libbpf

commit c3fa77158ab43d4f2cdfaa2a9810b1ec6b4d900f
Merge: f02f9ff5 7c0649d4
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-08-22
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-08-22

    Merge pull request #1782 from nghttp2/embed-km-id-in-token
    
    nghttpx: Embed km_id in a regular token

commit 7c0649d466ea83ff5ff70a023b350f29f18ab300
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-08-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-08-21

    nghttpx: Embed km_id in a regular token

commit f02f9ff50c31d51322789a7ab86dc4eedba268cc
Merge: 9d265e8b 31be3346
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-08-21
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-08-21

    Merge pull request #1781 from nghttp2/token-dcidlen
    
    nghttpx: Regular token does not require server issued DCID

commit 31be334660ab1d478a8b24579c8d9c463d5a0889
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-08-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-08-21

    nghttpx: Regular token does not require server issued DCID

commit 9d265e8bb8da32bdb2d6b1e2d84c1c8a2f677fcf
Merge: 42394e33 1aa97d5d
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-08-21
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-08-21

    Merge pull request #1780 from nghttp2/bump-ngtcp2
    
    Bump ngtcp2 and nghttp3

commit 1aa97d5d2c0539ca37b67921c805ef9981026cfb
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-08-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-08-21

    Bump ngtcp2 and nghttp3

commit 42394e33427104f9d6f57928600e658945ba89d9
Merge: f2c793c7 1bc1374d
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-08-20
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-08-20

    Merge pull request #1779 from nghttp2/bump-boringssl
    
    Bump boringssl

commit 1bc1374d0cf4f88ff4b7794a9681d10c156ce8a9
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-08-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-08-20

    Bump boringssl

commit f2c793c75b7b723cc013afb37e52531294812773
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-08-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-08-10

    clang-format

commit 1bb4877976367a2285b1de06311436ed277785f4
Merge: 8a026e18 651f3bfc
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-08-10
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-08-10

    Merge pull request #1770 from DavidKorczynski/dav-fuzz-1
    
    fuzz: add frames fuzzer

commit 651f3bfce2df19c355b14ecdd6bc47be1bafbbb3
Author:     David Korczynski <david@adalogics.com>
AuthorDate: 2022-08-09
Commit:     David Korczynski <david@adalogics.com>
CommitDate: 2022-08-09

    cleanup

commit 8a026e18f54377fd6b698debed0406c55ec68a66
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-08-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-08-09

    clang-format fuzz

commit 5164745ff912fd968d28b9b42f381a661f3d355b
Merge: 179ecf7c 0ade040a
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-08-09
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-08-09

    Merge pull request #1771 from DavidKorczynski/dav-fuzz-2
    
    fuzz: add extended fuzzer using FuzzedDataProvider

commit 179ecf7ccdc9f59f80a4a74192971f85b9803a38
Merge: 092014d5 a4d12f2a
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-08-09
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-08-09

    Merge pull request #1775 from nghttp2/src-eliminate-strtoul
    
    Replace the use of strtoul and strtol with parse_uint

commit a4d12f2a71d80a21aa2d04baa2e4cd525aea517a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-08-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-08-09

    Replace the use of strtoul and strtol with parse_uint
    
    Replace the use of strtoul and strtol with parse_uint to fix the
    handling of negative integer.

commit 0ade040a68c5557bdca33a70fd7f0e356a256279
Author:     David Korczynski <david@adalogics.com>
AuthorDate: 2022-08-04
Commit:     David Korczynski <david@adalogics.com>
CommitDate: 2022-08-04

    fuzz: add extended fuzzer using FuzzedDataProvider
    
    Similar in nature to fuzz_target.cc but adds the difference of a random
    iv constructed by way of fuzzer data.

commit 59be24be32bf3eeec12ce19ecff6227267fc9d84
Author:     David Korczynski <david@adalogics.com>
AuthorDate: 2022-08-04
Commit:     David Korczynski <david@adalogics.com>
CommitDate: 2022-08-04

    fuzz: add frames fuzzer

commit 092014d5af809a405e9d059d064745b247f1a2d0
Merge: a3be7636 39d9efe4
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-08-04
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-08-04

    Merge pull request #1769 from nghttp2/randomize-backend-addresses
    
    nghttpx: Randomize backend address backend robin order per thread (2nd Ed.)

commit 39d9efe4bd1e2249f31e5cad5c4734fd0deb2037
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-08-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-08-04

    nghttpx: Randomize backend address backend robin order per thread (2nd Ed.)
    
    This is the 2nd attempt to randomize backend address round robin
    order.
    
    The initial attempt of doing this was
    fdcdb21c38ef7acf23853d47d1dc5bda69d5398f, which has been reverted via
    470f06e5f6deab5284ffe93f15cc4ce8b16ee2ec because it broke the session
    affinity.
    
    This time, we shuffles seq fields and avoid reordering addrs vector.

commit a3be763650b2b6395b244413103d294232d6cdf6
Merge: a80df35b b4cf6358
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-07-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-07-26

    Merge pull request #1766 from nghttp2/h2load-h3-reset-stream-cb
    
    h2load: Implement nghttp3 reset_stream callback

commit b4cf6358d4f88aad139b41777ddc2098398a6ae0
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-26

    h2load: Implement nghttp3 reset_stream callback

commit a80df35b39ce424204f0d179ea7c490cf3cf2354
Merge: 75a0d090 ff48a84a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-26

    Merge branch 'lemourin-coro-http'

commit ff48a84a867ddedc9ead16032d14aa8451534557
Author:     Paweł Wegner <pawel.wegner95@gmail.com>
AuthorDate: 2021-07-06
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-26

    cmake: add ENABLE_DOC option.
    
    doc subdirectory breaks Xcode generator

commit 75a0d090dfbf0e4c2f4fbd1bb44ab7c2987b4ec8
Merge: 2916208e 6418a865
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-07-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-07-26

    Merge pull request #1764 from nghttp2/h3-ignore-errors
    
    Ignore nghttp3 errors which can be ignored

commit 6418a865046b7f7536c813bcdfcc64e54255d8dc
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-25

    Ignore nghttp3 errors which can be ignored

commit 2916208eb39e857927a7edbf6a835cd2b8c34c7a
Merge: c642a9f8 22c88548
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-07-25
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-07-25

    Merge pull request #1763 from nghttp2/bump-neverbleed
    
    Bump neverbleed

commit 22c88548b9c87ac16992dc6ea6b5684cf4602ab2
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-25

    Bump neverbleed

commit c642a9f8565837c312495b9e1a2d622f8d1765bb
Merge: d51647f3 05f8d4e8
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-07-25
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-07-25

    Merge pull request #1762 from nghttp2/bump-llhttp
    
    Bump llhttp

commit 05f8d4e8c96b588022d3db147ca3cb83c42f1fc3
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-25

    Fix integration test failure

commit 9d389e874484d56bdf84f696b58381d5e4c72014
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-25

    Bump llhttp to f84c4de65875a43b683d4c0c26337b2fa5a38efa

commit d51647f37e2253f124b31b7298bed13917281064
Merge: bc909d61 c0111051
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-07-25
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-07-25

    Merge pull request #1761 from nghttp2/relocate-nghttp2-asio
    
    libnghttp2_asio has moved to its own repository

commit c0111051245334f165bf37acba309c684f898d46
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-25

    libnghttp2_asio has moved to its own repository

commit bc909d6157fed775ac40cf09820140840980dad4
Merge: f11be7df 5cf678cf
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-07-22
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-07-22

    Merge pull request #1759 from nghttp2/bump-quic-libs
    
    Bump QUIC related libraries

commit 5cf678cf5eb81dd59256b7198b54c1d870ba8e38
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-21

    Bump QUIC related libraries

commit f11be7df0938402550ada4ca1eb0745cf2c45ae6
Merge: 33974fbc 7113970f
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-07-21
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-07-21

    Merge pull request #1755 from vszakats/fix-win-openssl-quic-detection
    
    cmake: fix detecting quic openssl with win32

commit 7113970ff0dabb75e0efceedfd0999f9a659f6e9
Author:     Viktor Szakats <commit@vsz.me>
AuthorDate: 2022-07-14
Commit:     Viktor Szakats <commit@vsz.me>
CommitDate: 2022-07-14

    cmake: fix detecting quic openssl with win32
    
    By adding two necessary system libraries to make the QUIC test snippet
    link correctly.
    
    Before:
    ```
    -- Looking for SSL_is_quic
    -- Looking for SSL_is_quic - not found
    CMake Warning at CMakeLists.txt:206 (message):
      OpenSSL in
      /[...]/openssl-quic/x64-ucrt/usr/lib/libssl.a;/[...]/openssl-quic/x64-ucrt/usr/lib/libcrypto.a
      dose not have SSL_is_quic.  HTTP/3 support cannot be enabled
    ```
    
    After:
    ```
    -- Looking for SSL_is_quic
    -- Looking for SSL_is_quic - found
    ```
    
    Same fix as previously merged to ngtcp2:
    https://github.com/ngtcp2/ngtcp2/pull/481

commit 33974fbcd72a6cd8f3a3186062fccb8681e65c08
Merge: 014f1c51 6eb90570
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-07-12
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-07-12

    Merge pull request #1754 from nghttp2/bump-sphinx-rtd-theme
    
    Bump sphinx_rtd_theme

commit 6eb90570f0d5e824f6fa0d6715dc119f4e5ed897
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-12

    Bump sphinx_rtd_theme

commit 014f1c510d85ecd26be038a6dca570a4077eaad1
Merge: 3d35558f db770a81
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-07-08
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-07-08

    Merge pull request #1752 from nghttp2/cross-build-fix
    
    Cross build fix

commit db770a815aebdd3eb6233c63900ec2cefa0ef0a5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-07
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-07

    Remove missing header patch

commit aedb01a1a483e639a9fed6975f57d3ec00162840
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-07
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-07

    Run tests for x86_64-w64-mingw32 host only
    
    GitHub Actions suddenly refused to install wine32 because of broken
    dependencies.  In order to workaround this issue, do not run tests on
    i686-w64-mingw32 host.

commit 3d35558f0e4f04a46f078f68455a8953a5e2ee97
Merge: ffe15193 02a3a15b
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-07-06
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-07-06

    Merge pull request #1751 from nghttp2/bump-quictls
    
    Bump quictls

commit 02a3a15b8227bb7f55606de84a3d9373e1f98683
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-06
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-06

    Bump quictls

commit ffe1519366038fcd316e2da556d97a71601bc248
Merge: 78cb0008 97a5ca58
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-07-05
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-07-05

    Merge pull request #1750 from nghttp2/pythonbindings-deprecation
    
    Deprecate Python bindings

commit 97a5ca584bde24d81bf15afadf79a795126ef9db
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-05

    Deprecate Python bindings

commit 78cb0008d3177676875f51a5baaf19b9fe379230
Merge: d38cf2d1 b7b09acb
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-07-05
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-07-05

    Merge pull request #1749 from nghttp2/libasio-deprecation
    
    Deprecate libnghttp2_asio

commit d38cf2d11c9b62bd54bb00ded779e1ec3055bd2c
Merge: 118648ff 83ea8e5b
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-07-05
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-07-05

    Merge pull request #1748 from nghttp2/cross-build
    
    Cross build

commit b7b09acb8137e123d49240470ad0d157c6266d85
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-05

    Deprecate libnghttp2_asio

commit 83ea8e5ba56486762b217592b59a614b192f0396
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-05

    Add build-cross

commit 9a16e73813d21182f85a7b0aaaa696ff692ed6f6
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-05

    Compile with mingw64

commit 2da17132004a2ef288bd8ebda5c2ffabd4e4d771
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-05

    Define BUILDING_NGHTTP2 for tests to make linker work

commit 118648ff175dd20cf373c5f542fb3befed0594bf
Merge: e065cbcc d9acf873
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-07-04
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-07-04

    Merge pull request #1747 from nghttp2/nghttpx-fix-proxy-proto
    
    nghttpx: Fix broken PROXY-protocol

commit d9acf873ed08225ffea62612cf28160c772f6061
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-07-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-07-04

    nghttpx: Fix broken PROXY-protocol
    
    Fix PROXY-protocol that is enabled for TLS connection.

commit e065cbccb6a65cc0eefa98bd9e4975dd562e2bb6
Merge: cad6f6c3 fc6d0643
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-06-25
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-06-25

    Merge pull request #1745 from nghttp2/no-lws-check
    
    No need to check pseudo header lws

commit cad6f6c3f008a3ab4ee705fb017994010eef9d74
Merge: 54848210 501b1d4d
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-06-25
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-06-25

    Merge pull request #1744 from nghttp2/nghttpx-remove-h1-field-trailing-white-spaces
    
    nghttpx: Remove trailing white spaces from HTTP/1.1 fields

commit fc6d0643710f4fec2abb5a2008041da70855151e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-06-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-06-25

    No need to check pseudo header lws
    
    No need to check pseudo header lws because it is guaranteed not to
    have leading white spaces.

commit 501b1d4dcf60bcdf973b380ff1a4807053484026
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-06-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-06-25

    nghttpx: Remove trailing white spaces from HTTP/1.1 fields

commit 54848210a943ddbe4f38c9e43d77a9ee4f203b2f
Merge: af30e57c 7f4c2f9e
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-06-24
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-06-24

    Merge pull request #1743 from nghttp2/rfc9113-field-value-validation
    
    Add nghttp2_check_header_value_rfc9113

commit 7f4c2f9ec37b6c83369624841eb303f1f8414cfd
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-06-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-06-24

    Add nghttp2_check_header_value_rfc9113
    
    Add nghttp2_check_header_value_rfc9113 which verifies the additional
    rule imposed by RFC 9113, section 8.2.1, that is a field value must
    not start or end with 0x20(SPC) or 0x09(HTAB).
    
    libnghttp2 uses this new function internally.

commit af30e57c5e15b2b4a0c38266e223e2d327ba9dee
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-06-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-06-24

    Bump package version
